% vlastní verbatim
% více méně opsáno z TBN

{\obeyspaces\gdef\activespace{\obeyspaces\let =\ }}%
\def\setverb{\def\do##1{\catcode`##1=12}\dospecials}
\def\bv{\bgroup\parindent=0pt\par\everypar={\nopagebreak}%
  \setverb \activespace
  \def\par##1{\endgraf\ifx##1\par\leavevmode##1\else##1\fi}%
  \obeylines \startverb}
{\catcode`\|=0 \catcode`\\=12
  |gdef|startverb#1\ev{|tt#1|egroup}}